Page MenuHomePhabricator

[OMPT] Use fuzzy return addresses in lock testcases
ClosedPublic

Authored by sconvent on Jan 10 2018, 3:32 AM.

Details

Summary

Use fuzzy return addresses in lock testcases so that these testcases can also be run using the Intel Compiler.

Diff was initially submitted in D41182.

Diff Detail

Repository
rL LLVM

Event Timeline

sconvent created this revision.Jan 10 2018, 3:32 AM
sconvent edited the summary of this revision. (Show Details)Jan 10 2018, 3:36 AM
sconvent edited the summary of this revision. (Show Details)
sconvent added a subscriber: openmp-commits.
protze.joachim accepted this revision.Jan 17 2018, 1:15 AM

Still surprised that this is necessary for void function calls, but with that change the tests also succeed for intel compiler.

This revision is now accepted and ready to land.Jan 17 2018, 1:15 AM
Hahnfeld accepted this revision.Jan 26 2018, 6:19 AM

I finally looked at an objdump and the Intel Compiler tries to use __kmpc_init_lock if available. This function has the advantage of taking the global thread id, so avoiding the cost of finding it in TLS.

This patch fixes the problem, I'm going to submit it right away.

This revision was automatically updated to reflect the committed changes.